#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");
KSYMTAB_FUNC(nvKmsKapiF16ToF32, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToF16, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Mul, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Div, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Add, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToUI32RMinMag, "", "");
KSYMTAB_FUNC(nvKmsKapiUI32ToF32, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0xb21bd47c, "");
SYMBOL_CRC(nvKmsKapiF16ToF32, 0x5bf8ab0d, "");
SYMBOL_CRC(nvKmsKapiF32ToF16, 0x5312b4e7, "");
SYMBOL_CRC(nvKmsKapiF32Mul, 0x034b05b8, "");
SYMBOL_CRC(nvKmsKapiF32Div, 0x661c5342, "");
SYMBOL_CRC(nvKmsKapiF32Add, 0xaf4cf778, "");
SYMBOL_CRC(nvKmsKapiF32ToUI32RMinMag, 0x2aaaa051, "");
SYMBOL_CRC(nvKmsKapiUI32ToF32, 0x6137753d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x00000000, "__x86_indirect_thunk_rax" },
	{ 0xfb578fc5, "memset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xcf2a6966, "up" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6626afca, "down" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x85981a63, "single_release" },
	{ 0xd417fbbd, "single_open" },
	{ 0x23794c2e, "__seq_puts" },
	{ 0x00000000, "const_current_task" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x037a0cba, "kfree" },
	{ 0x53b954a2, "up_read" },
	{ 0x66be337a, "freezing_slow_path" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x668b19a1, "down_read" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5743cf64, "seq_read" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe993e872, "filp_open" },
	{ 0x3ee7d6c3, "filp_close" },
	{ 0x445d1c39, "kernel_read" },
	{ 0x999e8297, "vfree" },
	{ 0x00000000, "__x86_indirect_thunk_r12" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb0e602eb, "memmove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x754d539c, "strlen" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x01000e51, "schedule" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x00148653, "vsnprintf" },
	{ 0x193c3c08, "nvidia_get_rm_ops" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x5f4279ea, "cdev_init" },
	{ 0x70f4217f, "cdev_add" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb3d5e8ad, "cdev_del" },
	{ 0xa8e63cb7, "proc_mkdir_mode" },
	{ 0x154cfea0, "proc_create_data" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8b405eea, "kmalloc_caches" },
	{ 0xb3a2a360, "__kmalloc_cache_noprof" },
	{ 0x428c99e1, "proc_remove" },
	{ 0x6d2e45eb, "fget" },
	{ 0x528b3f77, "fput" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe7664ad4, "backlight_device_register" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0x36366219, "backlight_device_unregister" },
	{ 0x7a4d7677, "seq_lseek" },
	{ 0x3d0d37e9, "param_ops_charp" },
	{ 0x7e7c8927, "param_ops_int" },
	{ 0xcfcb1c4b, "param_ops_bool" },
	{ 0xbbb9fa6b, "param_ops_uint" },
	{ 0x00000000, "__preempt_count" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3de78831, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe5f3ad80, "vmalloc_to_page" },
	{ 0xde820ab8, "kthread_stop" },
	{ 0x9c1d27cc, "wake_up_process" },
	{ 0x00000000, "__x86_indirect_thunk_rbp" },
	{ 0x00000000, "__x86_indirect_thunk_r15" },
	{ 0x00000000, "__x86_indirect_thunk_r11" },
	{ 0x00000000, "__x86_indirect_thunk_rdx" },
	{ 0x00000000, "__x86_indirect_thunk_r14" },
	{ 0x00000000, "__x86_indirect_thunk_rbx" },
	{ 0x00000000, "__x86_indirect_thunk_r13" },
	{ 0x00000000, "__x86_indirect_thunk_r10" },
	{ 0x00000000, "__x86_indirect_thunk_rcx" },
	{ 0x00000000, "__x86_indirect_thunk_r9" },
	{ 0x00000000, "__x86_indirect_thunk_r8" },
	{ 0xf77b8a3c, "module_layout" },
};

MODULE_INFO(depends, "nvidia,video");


MODULE_INFO(srcversion, "1059D1C0AA350825695DF9E");
